import type { StateMachine } from './types/StateMachine';
import type { StateDefinition } from './types/State';
import { Context } from './Context/Context';
export declare type ExecuteType = () => Promise<ExecuteType | string | void>;
export declare class StateMachineExecutor {
    private readonly context;
    private readonly stateMachine;
    private readonly logger;
    constructor(stateMachine: StateMachine, context: Context);
    execute(stateDefinition: StateDefinition, inputJson: string | undefined): Promise<ExecuteType | string | void>;
}
