"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FailExecutor = void 0;
const Logger_1 = require("../../utils/Logger");
const FailExecutorException_1 = require("../exceptions/FailExecutorException");
const StateTypeExecutor_1 = require("../StateTypeExecutor");
class FailExecutor extends StateTypeExecutor_1.StateTypeExecutor {
    constructor() {
        super();
        this.logger = Logger_1.Logger.getInstance();
    }
    execute(context, definition) {
        this.logger.error(`StateMachine "${context.StateMachine.Name}" Failed on "${context.State.Name}"`);
        return Promise.reject(new FailExecutorException_1.FailExecutorException(`StateMachine "${context.StateMachine.Name}" Failed on "${context.State.Name}"`, definition.Cause, definition.Error));
    }
}
exports.FailExecutor = FailExecutor;
