"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
const chalk_1 = __importDefault(require("chalk"));
const consola_1 = __importDefault(require("consola"));
class Logger {
    constructor() {
        this.logPrefix = chalk_1.default.magenta('[Step Functions API Simulator]');
    }
    static getInstance() {
        if (!this.INSTANCE) {
            this.INSTANCE = new Logger();
        }
        return this.INSTANCE;
    }
    success(message) {
        consola_1.default.success(`${this.logPrefix} ${chalk_1.default.greenBright(message)}`);
    }
    log(message) {
        consola_1.default.log(`${this.logPrefix} ${chalk_1.default.blueBright(message)}`);
    }
    error(messageError) {
        consola_1.default.error(`${this.logPrefix} ${chalk_1.default.red(messageError)}`);
    }
    warning(messageError) {
        consola_1.default.warn(`${this.logPrefix} ${chalk_1.default.yellow(messageError)}`);
    }
}
exports.Logger = Logger;
